{% extends 'app_lmgas/base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block title%}LMGAS - Despacho{% endblock%}

{% block contenido %}

{% if messages %}
    {% for msg in messages  %}
        <script>
            Swal.fire({
            title:'Éxito',
            text:'{{msg}}',
            icon:'success',
            confirmButtonText:'Aceptar',
            confirmButtonColor:'#3085d6'
            })
        </script>
    {% endfor %}
{% endif %}

<script>
        $(document).ready(function () {
            $('#nuevaDireccion').validate({
                rules: {
                    alias: { required: true, },
                    direccion: {
                        required: true,
                    },
                    telefono: {
                        minlength: 8,
                        maxlength: 8,
                        number: true
                    }
                },
                messages: {
                    alias: {
                        required: "Por favor ingrese un alias",
                    },
                    direccion: {
                        required: "Por favor ingrese una dirección",
                    },
                    telefono: {
                        minlength: "El telefono debe contener 8 digitos",
                        maxlength: "El telefono debe contener 8 digitos",
                        number: "El telefono solo puede contener números"

                    }
                },
                submitHandler: function (form) {
                    alerta();


                }
            });
        });

        function alerta() {
            swal({
                title: 'Direccion agregada con exito!',
                text: 'Este mensaje se cerrara en 3 segundos',
                icon: "success",
                timer: 2500,
            })

            $("#nuevaDireccion .close").click()
        }
    </script>

    <script>
        $(document).ready(function () {
            $("#eliminar").click(function () {
                swal({
                    title: 'Dirección eliminada con exito!',
                    text: 'Este mensaje se cerrara en 3 segundos',
                    icon: "success",
                    timer: 2500,
                })
            })
        });
    </script>



<div class="container" style="margin-top: 50px;">
        <h6 id="direccion"><a href="index.html">inicio</a> > <a href="Carrito.html">carrito</a> > <a
                href="Despacho.html">despacho</a></h6>
        <br>
        <h3 style="color: #8d8d8d;">Tu compra</h3>

        <div style="background-color: rgb(238, 238, 238); border: 1px solid #d1d1d1; padding: 20px;">
            <table class="table table-borderless table-sm table-responsive-sm mt-3">
                <thead class="text-light" style="background-color: #184483;">
                    <tr>
                        <th>Nombre del producto</th>
                        <th>Cantidad</th>
                        <th>Precio por unidad</th>
                        <th>Total</th>
                    </tr>
                </thead>
                <tbody class="bg-light">
                {% for c in car  %}
                    <tr>
                        <td>{{c.id_producto.descripcion}}</td>
                        <td>{{c.cantidad}}</td>
                        <td>${{c.id_producto.valor}}</td>
                        <td>${{c.obtenerTotal}}</td>
                    </tr>
                {% endfor %}    
                </tbody>
            </table>
            <div class="row">
                <div class="col-sm-6"></div>
                <div class="col-sm-6">
                    <table class="table table-responsive-sm table-borderless ">

                        <tbody style="background-color: rgb(238, 238, 238);">
                            <tr>
                                <td class="text-right">Subtotal</td>
                                <td class="text-right">${{total}}</td>
                            </tr>
                            <tr>
                                <td class="text-right">Total</td>
                                <td class="text-right">${{total}}</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="alert alert-danger" role="alert">
                <ion-icon name="alert-circle-outline"></ion-icon> El valor total se actualizará de acuerdo al método
                de pago seleccionado en el siguiente paso
            </div>
        </div>

        <br>
        <h3 style="color: #8d8d8d;">Datos de despacho</h3>
        <!-- Método de entrega -->

        <form action="" method="POST">
            {% csrf_token %}
            <div style="background-color: rgb(238, 238, 238); border: 1px solid #d1d1d1; padding: 15px;">
                <br>
                     {{form|crispy}}
                     <div class="text-left mt-3">
                        <a href="{% url 'AgregarDireccion2' %}"><input class="btn btn-info" value="Nueva Dirección"></a>
                    </div>       
                <br>
            <div class="text-right mt-3">
                <a href=""><input type="submit" class="btn btn-primary" value="Ir a finalizar compra"></a>
            </div>
        </form>
    </div>
    </div>
    
{% endblock contenido %}    